Skip to main content
PUT
/
core
/
v3
/
configurations
/
available-check-origin
Create or update available check origins configuration
curl --request PUT \
  --url https://api-{region}.sesametime.com/core/v3/configurations/available-check-origin \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entityReference": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "availableCheckOrigins": [
    "web",
    "mobile",
    "wall",
    "watch"
  ]
}
'
import requests

url = "https://api-{region}.sesametime.com/core/v3/configurations/available-check-origin"

payload = {
"entityReference": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"availableCheckOrigins": ["web", "mobile", "wall", "watch"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entityReference: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
availableCheckOrigins: ['web', 'mobile', 'wall', 'watch']
})
};

fetch('https://api-{region}.sesametime.com/core/v3/configurations/available-check-origin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Available check origins configuration

entityReference
object
required

Reference to the entity (employee or company)

availableCheckOrigins
enum<string>[]
required

List of allowed check origins

Available options:
web,
mobile,
wall,
watch
Example:
["web", "mobile", "wall", "watch"]

Response

204 - undefined